<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Save the world | Landing page design</title>
    <link rel="stylesheet" href="style.css" type="text/css">
</head>
<body>
<section>
    <header><a href="#" class="logo">Świat</a>
        <div class="toggle"></div>
    </header>
    <img src="images/bg.jpg" class="bg" alt="Background">
    <img src="images/bird.png" class="bird" alt="Bird">
    <div class="content">
        <h2>Możemy uratować<br><span>Ptaka</span></h2>
        <p>Ładny ptak, prawda?</p>
        <a href="#">Uratuj go!</a>
    </div>
    <ul class="sci">
        <li><a href="#"><img src="images/facebook.png" alt="Facebook Icon"></a></li>
        <li><a href="#"><img src="images/twitter.png" alt="Twitter Icon"></a></li>
        <li><a href="#"><img src="images/instagram.png" alt="Instagram Icon"></a></li>
    </ul>
    <div class="textBlocks">
        <div class="block">
            <h3>Obrońcy Ziemi</h3>
            <p>Brońcie naszą planetę, proszę!</p>
        </div>
        <div class="block">
            <h3>Jak uratować tego ptaka?</h3>
            <p>Powiedzcie mi, proszę!</p>
        </div>
    </div>
</section>
<script type="text/javascript">
    document.addEventListener("mousemove", (e) => {
        const bg = document.querySelector('.bg');
        const bird = document.querySelector('.bird');
        const content = document.querySelector('.content');

        bg.style.width = 100 + e.pageX/100 + '%';
        bg.style.height = 100 + e.pageX/100 + '%';

        bird.style.right = 100 + e.pageX/2 + 'px';
        content.style.left = 100 + e.pageX/2 + 'px';
    });
</script>
</body>
</html>

<!-- https://www.youtube.com/watch?v=JiuD68b4tzo -->